Recurring
Recurring status
Retrieve the current state of a recurring billing series, including schedule details, payment history, and upcoming transactions.
GET
/
v1
/
payments
/
recurring
/
status
/
{terminal_friendly_id}
cURL
curl --request GET \
--url https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id} \
--header 'x-signature: <api-key>' \
--header 'x-timestamp: <api-key>'import requests
url = "https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id}"
headers = {
"x-signature": "<api-key>",
"x-timestamp": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-signature': '<api-key>', 'x-timestamp': '<api-key>'}
};
fetch('https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-signature: <api-key>",
"x-timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-signature", "<api-key>")
req.Header.Add("x-timestamp", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id}")
.header("x-signature", "<api-key>")
.header("x-timestamp", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-signature"] = '<api-key>'
request["x-timestamp"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"recurring_id": "<string>",
"order_id": "<string>",
"status": "active",
"recurring": {
"status": "active",
"managed_by": "merchant",
"completed_payments": 1,
"first_payment_date": "<string>",
"recurring_date_type": "daily",
"time_interval": 2,
"number_of_payments": 2,
"cancellation_date": "<string>",
"remaining_payments": 1
},
"future_transactions": [
{
"future_transaction_id": "<string>",
"recurring_id": "<string>",
"scheduled_date": "<string>",
"sequence_number": 2,
"status": "pending",
"amount": 1.01,
"currency": "<string>",
"notes": "<string>"
}
],
"completed_transactions": [
{
"future_transaction_id": "<string>",
"recurring_id": "<string>",
"scheduled_date": "<string>",
"sequence_number": 2,
"status": "pending",
"amount": 1.01,
"currency": "<string>",
"notes": "<string>",
"executed_transaction": "<string>",
"executed_at": "<string>"
}
],
"payment_profile": {
"friendly_id": "<string>",
"merchant_payment_profile_id": "<string>",
"payer": {
"friendly_id": "<string>",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email_username": "<string>",
"email_domain": "<string>",
"phone_number": "<string>",
"national_id": "<string>"
},
"payer_address": {
"postal_code": "<string>",
"city_name": "<string>",
"state_code": "<string>",
"country": "AD"
},
"payment_instrument": {
"token": "<string>",
"payment_method": "cards",
"card_cardholder_name": "<string>",
"card_card_last_four_digit": "<string>",
"card_bin": "<string>",
"expiration_date": "<string>",
"card_profile": {
"fingerprint": "<string>",
"brand": {
"name": "<string>"
},
"issuer": {
"name": "<string>",
"description": "<string>"
},
"category": "<string>",
"cardType": "DEBIT",
"panLength": 16,
"cardUsage": "<string>"
}
}
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "SYSTEM/SUCCESSFUL",
"instance": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "SYSTEM/SUCCESSFUL",
"instance": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "SYSTEM/SUCCESSFUL",
"instance": "<string>",
"context": {}
}Retrieve a recurring series by the required
recurring_id query parameter. The response includes
its configuration, payment instrument, payer, pending future transactions, and completed
transactions.Authorizations
Lowercase hex HMAC-SHA256 of {x-timestamp}.{METHOD}.{path_with_query}.{raw_body} keyed with your API secret. See https://www.smartretry.com/docs/authentication.
Current Unix time in seconds; must be within 5 minutes of server time and match the value used in the signature.
Path Parameters
The unique identifier of the terminal.
Required string length:
6Pattern:
^[\dA-Za-z]{6}$Query Parameters
The recurring series identifier.
Required string length:
8Pattern:
^[\dA-Za-z]{8}$Response
Default Response
The recurring series identifier.
Required string length:
8Pattern:
^[\dA-Za-z]{8}$The order linked to this recurring series.
Required string length:
8Pattern:
^[\dA-Za-z]{8}$Available options:
active, paused, cancelled, completed, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
cURL
curl --request GET \
--url https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id} \
--header 'x-signature: <api-key>' \
--header 'x-timestamp: <api-key>'import requests
url = "https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id}"
headers = {
"x-signature": "<api-key>",
"x-timestamp": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-signature': '<api-key>', 'x-timestamp': '<api-key>'}
};
fetch('https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-signature: <api-key>",
"x-timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-signature", "<api-key>")
req.Header.Add("x-timestamp", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id}")
.header("x-signature", "<api-key>")
.header("x-timestamp", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-signature"] = '<api-key>'
request["x-timestamp"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"recurring_id": "<string>",
"order_id": "<string>",
"status": "active",
"recurring": {
"status": "active",
"managed_by": "merchant",
"completed_payments": 1,
"first_payment_date": "<string>",
"recurring_date_type": "daily",
"time_interval": 2,
"number_of_payments": 2,
"cancellation_date": "<string>",
"remaining_payments": 1
},
"future_transactions": [
{
"future_transaction_id": "<string>",
"recurring_id": "<string>",
"scheduled_date": "<string>",
"sequence_number": 2,
"status": "pending",
"amount": 1.01,
"currency": "<string>",
"notes": "<string>"
}
],
"completed_transactions": [
{
"future_transaction_id": "<string>",
"recurring_id": "<string>",
"scheduled_date": "<string>",
"sequence_number": 2,
"status": "pending",
"amount": 1.01,
"currency": "<string>",
"notes": "<string>",
"executed_transaction": "<string>",
"executed_at": "<string>"
}
],
"payment_profile": {
"friendly_id": "<string>",
"merchant_payment_profile_id": "<string>",
"payer": {
"friendly_id": "<string>",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email_username": "<string>",
"email_domain": "<string>",
"phone_number": "<string>",
"national_id": "<string>"
},
"payer_address": {
"postal_code": "<string>",
"city_name": "<string>",
"state_code": "<string>",
"country": "AD"
},
"payment_instrument": {
"token": "<string>",
"payment_method": "cards",
"card_cardholder_name": "<string>",
"card_card_last_four_digit": "<string>",
"card_bin": "<string>",
"expiration_date": "<string>",
"card_profile": {
"fingerprint": "<string>",
"brand": {
"name": "<string>"
},
"issuer": {
"name": "<string>",
"description": "<string>"
},
"category": "<string>",
"cardType": "DEBIT",
"panLength": 16,
"cardUsage": "<string>"
}
}
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "SYSTEM/SUCCESSFUL",
"instance": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "SYSTEM/SUCCESSFUL",
"instance": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "SYSTEM/SUCCESSFUL",
"instance": "<string>",
"context": {}
}